unity_support_test crashed with SIGSEGV

Bug #743848 reported by Robert Smith on 2011-03-27
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Nux
Fix Released
Undecided
Unassigned
Unity
Fix Released
Undecided
Unassigned
nux (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned

Bug Description

Crash on exit

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: nux-tools 0.9.36-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic-pae 2.6.38
Uname: Linux 2.6.38-7-generic-pae i686
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86 Kernel Module 270.30 Fri Feb 25 14:34:41 PST 2011
 GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-7ubuntu1)
Architecture: i386
CheckboxSubmission: 9b0d5325b6d3ef2d89a38c4427fb81a3
CheckboxSystem: daed2f3d6643b4a84b4520a2427f8c2b
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CrashCounter: 1
Date: Sun Mar 27 21:36:19 2011
Disassembly: => 0xb768fba1: Cannot access memory at address 0xb768fba1
DistUpgraded: Log time: 2011-03-26 12:34:30.048150
DistroCodename: natty
DistroVariant: ubuntu
ExecutablePath: /usr/lib/nux/unity_support_test
GraphicsCard:
 nVidia Corporation GF108 [GeForce GT 430] [10de:0de1] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Device [196e:0828]
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
InstallationMedia_: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
JockeyStatus: xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
MachineType: System manufacturer System Product Name
ProcCmdline: /usr/lib/nux/unity_support_test
ProcEnviron:
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-7-generic-pae root=UUID=d1633280-7430-4a50-ada6-8cabc91702ca ro quiet splash vt.handoff=7
ProcVersionSignature_: Ubuntu 2.6.38-7.39-generic-pae 2.6.38
Renderer: Unknown
SegvAnalysis:
 Segfault happened at: 0xb768fba1: Cannot access memory at address 0xb768fba1
 PC (0xb768fba1) ok
 SP (0xbfbe8470) ok
 Reason could not be automatically determined.
Signal: 11
SourcePackage: nux
Stacktrace:
 #0 0xb768fba1 in ?? ()
 No symbol table info available.
 Cannot access memory at address 0xbfbe8470
StacktraceTop: ?? ()
ThreadStacktrace:
 .
 Thread 1 (Thread 2143):
 #0 0xb768fba1 in ?? ()
 No symbol table info available.
 Cannot access memory at address 0xbfbe8470
Title: unity_support_test crashed with SIGSEGV
UnitySupportTest:
 Error: command ['/usr/lib/nux/unity_support_test', '-p'] failed with exit code -11: Xlib: extension "XFree86-VidModeExtension" missing on display ":1045".
 Xlib: extension "XFree86-VidModeExtension" missing on display ":1045".
UpgradeStatus: Upgraded to natty on 2011-03-26 (1 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare vboxusers
dmi.bios.date: 08/19/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2202
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M4A77T
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2202:bd08/19/2010:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM4A77T:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
version.compiz: compiz 1:0.9.4git20110322-0ubuntu5
version.libdrm2: libdrm2 2.4.23-1ubuntu5
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg: xserver-xorg 1:7.6~3ubuntu11
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6

Robert Smith (bobthesmug) wrote :

Stacktrace:
 #0 0xb768fba1 in ?? ()
 No symbol table info available.
 Cannot access memory at address 0xbfbe8470
StacktraceTop: ?? ()
ThreadStacktrace:
 .
 Thread 1 (Thread 2143):
 #0 0xb768fba1 in ?? ()
 No symbol table info available.
 Cannot access memory at address 0xbfbe8470

tags: added: apport-failed-retrace
tags: removed: need-i386-retrace
visibility: private → public
Omer Akram (om26er) wrote :

should this bug really be traced for unity ? I mean it seem unity_support_test crashed and not unity itself, or am I missing something?

Loïc Molinari (loic.molinari) wrote :
Changed in nux (Ubuntu):
status: New → Fix Committed
Changed in unity:
status: New → Fix Committed
Changed in nux:
status: New → Fix Committed
Neil J. Patel (njpatel) on 2011-03-31
Changed in unity:
milestone: none → 3.8.2
Didier Roche (didrocks) on 2011-04-01
Changed in nux:
status: Fix Committed → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nux - 0.9.38-0ubuntu1

---------------
nux (0.9.38-0ubuntu1) natty; urgency=low

  * New upstream release.
    - compiz crashed with SIGSEGV in std::_List_node_base::_M_hook()
      (LP: #711916)
    - compiz crashed with SIGSEGV in nux::View::PostProcessEvent2()
      (LP: #712498)
    - compiz crashed with SIGSEGV in sigc::internal::signal_emit0<void,
      sigc::nil>::emit() (LP: #729715)
    - compiz crashed with SIGSEGV in brw_validate_state() (LP: #730707)
    - Finish Nux detection tool support (LP: #722089)
    - compiz crashed with SIGABRT in raise() (LP: #741942)
    - compiz crashed with SIGSEGV in PanelMenuView::ProcessEvent()
      (LP: #742139)
    - compiz crashed with SIGSEGV in operator->() (LP: #741961)
    - Graphics hardware capability detection (LP: #685208)
    - compiz crashed with SIGSEGV in nux::GraphicsDisplay::GrabPointer()
      (LP: #740784)
    - compiz crashed with SIGSEGV in nux::Area::InitiateResizeLayout()
      (LP: #741977)
    - compiz crashed with SIGSEGV in nux::GraphicsDisplay::GrabKeyboard()
      (LP: #742233)
    - Missing child addition signals on nux::Layout and nux::View
      (LP: #734803)
    - compiz crashed with SIGSEGV in
      nux::GpuRenderStates::SubmitChangeStates() (LP: #735908)
    - unity_support_test crashed with SIGSEGV (LP: #743848)
  * debian/control:
    - adding libpci-dev build-dep for the new lighter unity_support_tool
 -- Didier Roche <email address hidden> Fri, 01 Apr 2011 11:15:39 +0200

Changed in nux (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity (Ubuntu):
status: New → Fix Released
To post a comment you must log in.